org.apache.mina.core.service

## Class AbstractIoService.ServiceOperationFuture

- java.lang.Object
- - org.apache.mina.core.future.DefaultIoFuture
  - - org.apache.mina.core.service.AbstractIoService.ServiceOperationFuture

- All Implemented Interfaces:
    IoFuture
  Direct Known Subclasses:
    AbstractIoAcceptor.AcceptorOperationFuture
  Enclosing class:
    AbstractIoService

      protected static class AbstractIoService.ServiceOperationFuture
      extends DefaultIoFuture

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIoService.ServiceOperationFuture()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `getException()`
    `boolean` | `isDone()` Returns if the asynchronous operation is completed.
    `void` | `setDone()`
    `void` | `setException(Exception exception)`

    - ### Methods inherited from class org.apache.mina.core.future.DefaultIoFuture

      `addListener, await, await, await, awaitUninterruptibly, awaitUninterruptibly, awaitUninterruptibly, getSession, getValue, join, join, removeListener, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractIoService.ServiceOperationFuture

          public AbstractIoService.ServiceOperationFuture()

  - ### Method Detail

    - #### isDone

          public final boolean isDone()

      Description copied from class: `DefaultIoFuture`
      Returns if the asynchronous operation is completed.
      Specified by:
        `isDone` in interface `IoFuture`
      Overrides:
        `isDone` in class `DefaultIoFuture`

    - #### setDone

          public final void setDone()

    - #### getException

          public final Exception getException()

    - #### setException

          public final void setException(Exception exception)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.